---
agentTools:
  projectIndex: https://developer.bill.com/llms.txt
---

# New partner features for the BILL webhook API

We have introduced new features for the BILL webhook API. BILL partners can now perform subscription and event operations at the partner level.

As a BILL partner, when you create a subscription for events, you get event notifications for all the organizations created with your partner `appKey`. To create a subscription at the partner level, simply set the required header values. The base URL and body parameters in the `POST /v3/subscriptions` request are the same for partner users and organization users.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Partner-level header values for webhooks
      </th>

      <th>
        Organization-level header values for webhooks
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `X-Idempotent-Key`
        Idempotency key. The key must be in the UUID4 format.
      </td>

      <td>
        `X-Idempotent-Key`\
        Idempotency key. The key must be in the UUID4 format.
      </td>
    </tr>

    <tr>
      <td>
        `sessionId`\
        Partner API session ID generated with `/v3/partner/login`
      </td>

      <td>
        `sessionId`\
        API session ID generated with `/v3/login`
      </td>
    </tr>

    <tr>
      <td>
        `appKey`\
        Application key sent to you by BILL when you create a partner account
      </td>

      <td>
        `devKey`\
        Developer key sent to you by BILL when you create a developer account
      </td>
    </tr>
  </tbody>
</Table>